import { useEffect } from 'react';
import { useSocketStore } from '../../../store/builder/store';

export default function SocketResponses() {
    const { socket } = useSocketStore();

    useEffect(() => {
        if (socket) {
            socket.on("v1:model-asset:response:add", (data: any) => {
                // console.log('data: ', data);
            });
        }

        return () => {
            if (socket) {   
                socket.off("v1:model-asset:response:add");
            }
        }
    }, [socket])

    return (
        <>
        </>
    );
}
